<?php
require '../conexao/conexao.php';

require 'query_orcamento.php';

$filialOrcamento = new FilialOrcamento($connection);

$formula = $_GET['id'];

$dataEntrega = $_GET['data'];
$filiais = substr($formula, 2, 1);
$n_orcamento = substr($formula, 5, 8);

$dadosOrcamento = $filialOrcamento->consultaOrcamentoPorFormula($filiais, '', $dataEntrega, $n_orcamento);

require 'dompdf/autoload.inc.php';

use Dompdf\Dompdf;

// Cria uma instância do Dompdf
$dompdf = new Dompdf();

$html = '
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <title>Orçamentos</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
            color: #333;
            font-size: 14px;
        }
        .page-title {
            font-size: 20px;
            font-weight: bold;
            margin-bottom: 10px;
        }
        .card-box {
            border: 1px solid #ddd;
            border-radius: 5px;
            padding: 10px;
            background-color: #f9f9f9;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin: 15px 0;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
            font-size: 12px;
        }
        th {
            background-color: #f2f2f2;
            font-weight: bold;
        }
        tr:nth-child(even) {
            background-color: #f9f9f9;
        }
        tr:hover {
            background-color: #f1f1f1;
        }
        .footer {
            margin-top: 20px;
            font-size: 12px;
            text-align: center;
        }
        .page-break {
            page-break-after: always; /* Quebra de página */
        }
    </style>
</head>
<body>

    <div class="wrapper candidato">
        <div class="container-fluid">

            <div class="card-box mt-3">
                <div class="row">
                    <div class="col-6 text-left">
                        <h2 class="page-title">Orçamentos</h2>
                        <p>Obrigado por enviar sua receita para nosso Atendimento</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12">
                        <table width="100%">
                            <thead class="thead-light">
                                <tr>
                                    <th>N° do orçamento</th>
                                    <th>Descrição</th>
                                    <th>Dosagem</th>
                                    <th>Valor Discriminado</th>
                                    <th>Valor Final</th>
                                </tr>
                            </thead>
                            <tbody>';

foreach ($dadosOrcamento as $orcamento) {
    $tipoMedicamento = '';

    // Define o tipo de medicamento com base no código
    switch ($orcamento['TPFORMAFARMA']) {
        case 1: $tipoMedicamento = 'CAPSULA'; break;
        case 2: $tipoMedicamento = 'CREME'; break;
        case 3: $tipoMedicamento = 'LOÇÃO'; break;
        case 4: $tipoMedicamento = 'SHAMPOO'; break;
        case 5: $tipoMedicamento = 'OUTRAS'; break;
        case 6: $tipoMedicamento = 'UNIDADES'; break;
        case 7: $tipoMedicamento = 'HOMEOPATIA'; break;
        case 8: $tipoMedicamento = 'FLORAL'; break;
        case 9: $tipoMedicamento = 'COMPRIMIDO'; break;
        case 10: $tipoMedicamento = 'GEL'; break;
        case 11: $tipoMedicamento = 'POMADA'; break;
        case 12: $tipoMedicamento = 'XAROPE'; break;
        case 13: $tipoMedicamento = 'FILTRO SOLAR'; break;
        case 14: $tipoMedicamento = 'INJETÁVEL'; break;
        case 15: $tipoMedicamento = 'ENVELOPES'; break;
        case 16: $tipoMedicamento = 'BISCOITO MEDICAMENTOSO'; break;
        case 17: $tipoMedicamento = 'PASTILHA MEDICAMENTOSA'; break;
        case 18: $tipoMedicamento = 'PATCH GEL'; break;
        case 19: $tipoMedicamento = 'FILMES'; break;
        case 20: $tipoMedicamento = 'PASTA ORAL'; break;
        case 21: $tipoMedicamento = 'SOLUÇÃO ORAL'; break;
    }

    $nomesFiliais = $filialOrcamento->consultaFilial($orcamento['CDFIL'])[0];
    $valor_total = $orcamento['PRCOBR'] + $orcamento['VRTXA'] - $orcamento['VRDSC'];
    $valor_bruto = $orcamento['PRCOBR'] + $orcamento['VRTXA'];
    $tipoMedicamento = mb_convert_encoding($tipoMedicamento, 'UTF-8', 'ISO-8859-1');

    // Adicione o conteúdo da tabela à variável $html
    $html .= '
        <tr>
            <td height="29">' . htmlspecialchars($orcamento['NRORC'] . '-' . $orcamento['SERIEO']) . '</td>
            <td>' . utf8_decode($tipoMedicamento) . ' - ' . $orcamento['VOLUME'] . ' - ' . $orcamento['UNIVOL'] . '</td>
            <td>' . $orcamento['QTCONT'] . '</td>
            <td>' . 'Valor Bruto: R$' . number_format($valor_bruto, 2, ',', '.') . ' - Desconto de: R$' . number_format($orcamento['VRDSC'], 2, ',', '.') . '</td>
            <td>' . 'R$ ' . number_format($valor_total, 2, ',', '.') . '</td>
        </tr>
        <tr>
            <td height="37" colspan="5">
                <table>
                    <tbody>
                        <tr>
                            <th><strong>Produtos</strong></th>
                            <th><strong>Quantidades</strong></th>
                            <th><strong>Unidades</strong></th>
                        </tr>';

    $sql = '';
    $serieo = $orcamento['SERIEO'];
    $filial = $orcamento['CDFIL'];
    $n_orcamento = $orcamento['NRORC'];
    $sql .= " and serieo = '{$serieo}' ";
    $sql .= " and tpcmp = 'C' ";

    $detalhamentoOrcamento = $filialOrcamento->consultaFormulas($filial, $n_orcamento, $dataEntrega, $sql);

    foreach ($detalhamentoOrcamento as $RecursosOrcamento) {
        $html .= '
            <tr>
                <td>' . htmlspecialchars($RecursosOrcamento['DESCR']) . '</td>
                <td>' . htmlspecialchars($RecursosOrcamento['QUANT']) . '</td>
                <td>' . htmlspecialchars($RecursosOrcamento['UNIDA']) . '</td>
            </tr>';
    }

    $html .= '
                    </tbody>
                </table>
            </td>
        </tr>
        <tr class="page-break">
            <td colspan="5"></td>
        </tr>
        ';
}

$html .= '
                            </tbody>
                        </table>

                       <p>A aprovação total, parcial ou qualquer observação deverá ser feita com seu vendedor.</p>
                       <p class="footer"><strong>Orçamento válido por 6 dias.</strong></p>

                    </div>
                </div>
            </div>

        </div>
    </div>

</body>
</html>';

// Carrega o HTML no Dompdf
$dompdf->loadHtml($html);

// Define o tamanho e a orientação da página (opcional)
$dompdf->setPaper('A4', 'landscape');

// Renderiza o HTML como PDF
$dompdf->render();

// Exibe o PDF no navegador
$dompdf->stream("orcamento.pdf", array("Attachment" => false));



$hasResults = false;

